Subject: Re: [PATCH] PKT_SCHED: Provide compat policer stats in action policer

From: Thomas Graf <[email-masked]>
Date: Wed, 22 Dec 2004 14:32:51 +0100

* jamal <[email-masked]> 2004-12-22 08:10
> Dont have time to look at it right now - If you can also have it
> generate traffic in that framework and validate results that would
> be similar to what i have.

Sure, no problem. Here's an example:

ts_tc "attr-police" "police creation" $FILTER police rate 2kbit buffer 10k drop

ts_log "cls-police: Sending 10 ICMP echo requests"
hping2 -c 10 -1 --fast ${DEST} &> /dev/null

ts_tc "cls-police" "police dumping" -s -s -d filter list dev $DEV parent 10:0

It could be done a lot better but I'm not aiming at replacing tcsim
but rather to complement it so we have tcsim to validate the
correctness of queueing and classification algorithms and my naive brutal
testing framework for regression and stress testing under real conditions.